<?php

namespace App\Http\Requests;

use App\Http\Requests\Request;

class PermissionRequest extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name'    => 'required',
            'slug'      => 'required',
            'menus_id' => 'required'
        ];
    }

    public function messages()
    {
        return [
            'name.required'         => '权限名称不能为空',
            'slug.required'         => '权限不能为空',
            'menus_id.required'     => '请绑定菜单'
        ];
    }
}
